Bug 1356987 (CVE-2016-3587) - CVE-2016-3587 OpenJDK: insufficient protection of MethodHandle.invokeBasic() (Hotspot, 8154475)
Summary: CVE-2016-3587 OpenJDK: insufficient protection of MethodHandle.invokeBasic() ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-3587
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1350028
TreeView+ depends on / blocked
 
Reported: 2016-07-15 12:34 UTC by Tomas Hoger
Modified: 2019-09-29 13:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-25 13:51:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1458 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2016-07-20 16:11:36 UTC
Red Hat Product Errata RHSA-2016:1475 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 21:39:19 UTC

Description Tomas Hoger 2016-07-15 12:34:23 UTC
It was discovered that the Hotspot component of OpenJDK did not properly restrict access to the invokeBasic() method of the MethodHandle class.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2016-07-20 07:42:18 UTC
Public now via Oracle CPU July 2016, fixed in Oracle JDK 8u101.

External References:

http://www.oracle.com/technetwork/security-advisory/cpujul2016-2881720.html#AppendixJAVA

Comment 2 Tomas Hoger 2016-07-20 09:34:13 UTC
OpenJDK 8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/c387bd2fb7db

Comment 3 errata-xmlrpc 2016-07-20 12:13:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:1458 https://access.redhat.com/errata/RHSA-2016:1458

Comment 4 errata-xmlrpc 2016-07-21 10:21:58 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:1475 https://access.redhat.com/errata/RHSA-2016:1475


Note You need to log in before you can comment on or make changes to this bug.